-- 基础信息
base_info = {
	group_id = 246202002
}

-- Trigger变量
defs = {
	center_point = 2007,
	rogue_exit = 2015
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 2015, gadget_id = 70800208, pos = { x = 17.536, y = -41.090, z = -0.008 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 2001, pos = { x = -0.010, y = -43.990, z = 0.030 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 2002, pos = { x = 2.477, y = -43.924, z = -7.433 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 2003, pos = { x = 2.531, y = -43.990, z = 7.542 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 2004, pos = { x = -9.977, y = -43.990, z = 0.003 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 2005, pos = { x = -12.606, y = -43.990, z = -7.461 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 2006, pos = { x = -12.552, y = -43.990, z = 7.514 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 2007, pos = { x = -7.487, y = -43.990, z = 0.010 }, rot = { x = 0.000, y = 0.000, z = 0.000 } },
	{ config_id = 2008, pos = { x = -12.468, y = -43.990, z = -0.011 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 2009, pos = { x = 5.073, y = -43.990, z = 0.030 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 2010, pos = { x = 7.560, y = -43.949, z = -7.433 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 2011, pos = { x = 7.614, y = -43.990, z = 7.542 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 2012, pos = { x = -4.894, y = -43.990, z = 0.003 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 2013, pos = { x = -7.522, y = -43.990, z = -7.461 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 2014, pos = { x = -7.469, y = -43.990, z = 7.514 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_7/Rogue_Cell"
require "V2_7/Rogue_Terrain_2"
